[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# Include

Include element in set if it was not yet present.

## Declaration

Source position: system.fpd line 42

`procedure Include(`
`var S: TSetType;`
`E: TSetElement`
`);`

## Description

Include includes E in the set S if it is not yet part of the set. E should be of the same type as the base type of the set S.

Thus, the two following statements do the same thing:

    S:=S+[E];
    Include(S,E);

For an example, see Exclude

## Errors

If the type of the element E is not equal to the base type of the set S, the compiler will generate an error.

## See also

Exclude |  | Exlude element from a set if it is present.

Documentation generated on: Feb 26 2014